Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
Class GenericsType

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.GenericsType

    public class GenericsType
    extends ASTNode

This class is used to describe generic type signatures for ClassNodes.

Author:
  Jochen Theodorou
See Also:
  `ClassNode`

Constructor Summary
Constructor and Description
`GenericsType(ClassNode basicType)`
`GenericsType(ClassNode type, ClassNode[] upperBounds, ClassNode lowerBound)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`ClassNode` | `getLowerBound()`
`String` | `getName()`
`ClassNode` | `getType()`
`ClassNode[]` | `getUpperBounds()`
`boolean` | `isPlaceholder()`
`boolean` | `isResolved()`
`boolean` | `isWildcard()`
`void` | `setName(String name)`
`void` | `setPlaceholder(boolean placeholder)`
`void` | `setResolved(boolean res)`
`void` | `setType(ClassNode type)`
`void` | `setWildcard(boolean wildcard)`
`String` | `toString()`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericsType

    public GenericsType(ClassNode type,
                        ClassNode[] upperBounds,
                        ClassNode lowerBound)

### GenericsType

    public GenericsType(ClassNode basicType)

Method Detail

### getType

    public ClassNode getType()

### setType

    public void setType(ClassNode type)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getUpperBounds

    public ClassNode[] getUpperBounds()

### getName

    public String getName()

### isPlaceholder

    public boolean isPlaceholder()

### setPlaceholder

    public void setPlaceholder(boolean placeholder)

### isResolved

    public boolean isResolved()

### setResolved

    public void setResolved(boolean res)

### setName

    public void setName(String name)

### isWildcard

    public boolean isWildcard()

### setWildcard

    public void setWildcard(boolean wildcard)

### getLowerBound

    public ClassNode getLowerBound()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD